# Liftbot.py

A Python implementation of Liftbot.

## Requirements

This requires some sort of modem, particularly one of the cx9300x lineage. You can get this information by running `ATI` on your modem.

You also need a phone line. Ideally one with Caller ID.

You must also have a Telegram bot token. You can get this by talking to the [BotFather](https://t.me/botfather). Once you start a chat with your new bot, you can extract the chat ID from the incoming messages.

## Installation

To install, use whatever is most popular to create a Python environment. Then install the requirements:

```bash
python -mpip install -r requirements.txt
```

Then, run this program:

```bash
python liftbot.py --key 8675309:AAZ849320666Wl --chat -5123944 --allowed-numbers 8675309 91133221=Geoff "17603235532=James Madison" --modem /dev/ttyUSB0
```

## Persistence

To make things persistent, copy `liftbot-py@.service` to `/etc/systemd/system` and run `sudo systemctl enable liftbot-py@ttyACM0.service` followed by `sudo systemctl start liftbot-py@ttyACM0.service`. You can change the `ttyACM0` to whatever your modem is.
